namespace JAM
{
	bool IndexInRange(const uint length, const int index)
	{
		return index >= 0 && index < int(length);
	}
	
	bool GameVarHasFlags(const kStr &in key, const int flags)
	{
		int value;
		GameVariables.GetInt(key, value);
		return (value & flags != 0);
	}
	
	// Returns the keys new value
	int GameVarSetFlags(const kStr &in key, const int flags, const bool on = true)
	{
		int value;
		if (!GameVariables.GetInt(key, value))
			return 0;
		
		if (on)
			value |= flags;
		else
			value &= ~flags;
		
		GameVariables.SetValue(key, "" + value);
		return value;
	}
}
